;InnoSetupVersion=4.0.5

[Setup]
AppName=Psycle
AppVerName=Psycle 1.74 (Installer Build 2)
AppId=Psycle
AppVersion=1.74
AppPublisher=Psycledelics
AppPublisherURL=http://psycle.pastnotecut.org/
AppSupportURL=http://psycle.pastnotecut.org/
AppUpdatesURL=http://psycle.pastnotecut.org/
DefaultDirName={pf}\Psycle
DefaultGroupName=Psycle
UninstallDisplayIcon={app}\Psycle.exe
UninstallDisplayName=Psycle Modular Tracker Studio
OutputBaseFilename=PsycleInstaller
Compression=bzip2
PrivilegesRequired=none
ChangesAssociations=yes
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{tmp}\SetupUtils.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall ignoreversion 
Source: "{app}\Psycle.exe"; DestDir: "{app}"; Components: application; 
Source: "{app}\Skins\jaz-iced.psv"; DestDir: "{app}\Skins"; Components: application; 
Source: "{app}\Skins\ksn-bluegrey.psv"; DestDir: "{app}\Skins"; Components: application; 
Source: "{app}\Skins\ksn-clarify.psv"; DestDir: "{app}\Skins"; Components: application; 
Source: "{app}\Skins\ksn-nolan.psv"; DestDir: "{app}\Skins"; Components: application; 
Source: "{app}\Skins\old Psycle.psv"; DestDir: "{app}\Skins"; Components: application; 
Source: "{app}\Skins\Default\flaxaflux_thin.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\flaxaflux_thin.psh"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\flaxaflux_wide.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\flaxaflux_wide.psh"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.1 machines.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.1 machines.psm"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.1+ header.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.1+ header.psh"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.66 header.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.66 header.psh"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.66 machines.bmp"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{app}\Skins\Default\psycle 1.66 machines.psm"; DestDir: "{app}\Skins\Default"; Components: application; 
Source: "{sys}\blwtbl.dll"; DestDir: "{sys}"; Components: application; 
Source: "{app}\Psycle.exe.manifest"; DestDir: "{app}"; Components: windows_xp_theme_support; 
Source: "{code_GetWinampPluginFolder}\in_psycle.dll"; DestDir: "{code:GetWinampPluginFolder}"; Components: winamp_plugin; 
Source: "{code_GetWinampPluginFolder}\in_psycle.txt"; DestDir: "{code:GetWinampPluginFolder}"; Components: winamp_plugin; 
Source: "{app}\Documents\FAQ.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\How To Skin Psycle.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\Keys.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\new_fileformat_psycle173.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\Readme Users of Psycle 1.6RC4 and older.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\Readme.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\skins.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\todo.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\tweaking.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\tweakings and commands.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\whatsnew.txt"; DestDir: "{app}\Documents"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Upwego.html"; DestDir: "{app}\Documents\Upwego Tutorial"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\2pfilter.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\2pfilter2.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\connections.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\connections2.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\loadsample.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\maccombobox.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\mcm.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\newmachine.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\newmachine2.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\parameters.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\parameters2.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\recordsequence.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\seqview.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\tempotpb.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\title.jpg"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\trackview.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\tweaking.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\tws.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\viewmachines.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Upwego Tutorial\Images\viewpattern.gif"; DestDir: "{app}\Documents\Upwego Tutorial\Images"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\AS22toAS2f.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\bdzld - negative.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Bohan ports.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Druttis_Plugins_IMPORTANT!!!_README_1ST.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\help_pooplog_fm_lab.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\IMPORTANT!!!_README_1ST.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\JMDrum readme.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog Autopan.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog Delay.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog Filter.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog FM.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog Lofi Processor.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Pooplog Scratch Master.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\ReadMe!!!.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Slicit.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\Sublime.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\Plugin Documents\tuning for AS2f.txt"; DestDir: "{app}\Documents\Plugin Documents"; Components: documents; 
Source: "{app}\Documents\MIDI Input Documents\midiconfiguration.jpg"; DestDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Source: "{app}\Documents\MIDI Input Documents\midimonitor.jpg"; DestDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Source: "{app}\Documents\MIDI Input Documents\midiout.jpg"; DestDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Source: "{app}\Documents\MIDI Input Documents\psyclemidi.html"; DestDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Source: "{app}\Documents\MIDI Input Documents\PsycleMIDIChart.TXT"; DestDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Source: "{app}\Plugins\Arguru\arguru compressor.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Distortion.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Freeverb.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Goaslicer.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Reverb.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Synth 2f.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru xFilter.dll"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; 
Source: "{app}\Plugins\Arguru\Arguru Synth 2f.prs"; DestDir: "{app}\Plugins\Arguru"; Components: arguru_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Bohan\delay.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Bohan\distortion.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Bohan\filter_2_poles.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Bohan\flanger.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Bohan\gainer.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Bohan\ring_modulator.dll"; DestDir: "{app}\Plugins\Bohan"; Components: bohan_plug-ins; 
Source: "{app}\Plugins\Druttis\EQ3.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\FeedMe.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\Koruz.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\Phantom.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\PluckedString.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\Slicit.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\Sublime.dll"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; 
Source: "{app}\Plugins\Druttis\FeedMe.prs"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Druttis\Phantom.prs"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Druttis\Sublime.prs"; DestDir: "{app}\Plugins\Druttis"; Components: druttis_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Miscellaneous\bdzld - negative.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\BexPhase.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\CyanPhase_VibraSynth_1P.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\JMDrum.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\KarLKoX Surround.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\M3.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\NRS_7900_Fractal.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\SingleFrequency.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\vdNoiseGate.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\Zephod SuperFM.dll"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; 
Source: "{app}\Plugins\Miscellaneous\JMDrum.prs"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Miscellaneous\M3.prs"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Old\Synth22.dll"; DestDir: "{app}\Plugins\Old"; Components: old_plug-ins; 
Source: "{app}\Plugins\Old\Synth22.prs"; DestDir: "{app}\Plugins\Old"; Components: old_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Miscellaneous\Zephod SuperFM.prs"; DestDir: "{app}\Plugins\Miscellaneous"; Components: miscellaneous_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Pooplog\Pooplog Autopan.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Delay Light.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Delay.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Filter.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog FM Laboratory.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog FM Light.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog FM UltraLight.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Lofi Processor.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Scratch Master 2.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog Scratch Master.dll"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; 
Source: "{app}\Plugins\Pooplog\Pooplog FM Laboratory.prs"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Pooplog\Pooplog FM Light.prs"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Pooplog\Pooplog FM UltraLight.prs"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Pooplog\Pooplog Laboratory FunPresets.prs"; DestDir: "{app}\Plugins\Pooplog"; Components: pooplog_plug-ins; Flags: onlyifdoesntexist 
Source: "{app}\Plugins\Sond\softsynth_psycle_plugin.dll"; DestDir: "{app}\Plugins\Sond"; Components: sond_plug-ins; 
Source: "{app}\Plugins\Sond\s_filter.dll"; DestDir: "{app}\Plugins\Sond"; Components: sond_plug-ins; 
Source: "{app}\Plugins\Sond\s_phaser.dll"; DestDir: "{app}\Plugins\Sond"; Components: sond_plug-ins; 
Source: "{app}\Plugins\Sond\s_reverb.dll"; DestDir: "{app}\Plugins\Sond"; Components: sond_plug-ins; 
Source: "{app}\Plugins\Sond\s_vld.dll"; DestDir: "{app}\Plugins\Sond"; Components: sond_plug-ins; 
Source: "{app}\Plugins\Sond\Softsynth_Psycle_Plugin.prs"; DestDir: "{app}\Plugins\Sond"; Components: pooplog_plug-ins; Flags: onlyifdoesntexist 

[Dirs]
Name: "{app}\Samples"; 
Name: "{app}\Songs"; 
Name: "{app}\Vst"; 

[Registry]
Root: HKCU; Subkey: "Software\AAS"; Flags: uninsdeletekey deletekey 
Root: HKCR; Subkey: ".psy"; ValueType: String; ValueData: "Psycle Music Archive"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Psycle Music Archive"; ValueType: String; ValueData: "Psycle Music Archive"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Psycle Music Archive\Shell\Open\Command"; ValueType: String; ValueData: """{app}\Psycle.exe"" ""%1"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "Psycle Music Archive\DefaultIcon"; ValueType: String; ValueData: "{app}\Psycle.exe,0"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\Psycle.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://psycle.pastnotecut.org"; 

[Run]
Filename: "{app}\Psycle.exe"; Description: "Launch Psycle"; Components: application; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userdesktop}\Psycle"; Filename: "{app}\Psycle.exe"; Components: application; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Psycle"; Filename: "{app}\Psycle.exe"; Components: application; Tasks: quicklaunchicon; 
Name: "{group}\Psycle"; Filename: "{app}\Psycle.exe"; WorkingDir: "{app}"; Components: application; 
Name: "{group}\Psycle on the Web"; Filename: "{app}\Psycle.url"; Components: documents; 
Name: "{group}\Psycle FAQ"; Filename: "{app}\Documents\FAQ.txt"; WorkingDir: "{app}\Documents"; Components: documents; 
Name: "{group}\Readme"; Filename: "{app}\Documents\Readme.txt"; WorkingDir: "{app}\Documents"; Components: documents; 
Name: "{group}\Documents\How to Skin Psycle"; Filename: "{app}\Documents\how to skin psycle.txt"; WorkingDir: "{app}\Documents"; Components: documents; 
Name: "{group}\Documents\Version History"; Filename: "{app}\Documents\whatsnew.txt"; WorkingDir: "{app}\Documents"; Components: documents; 
Name: "{group}\Documents\Pattern Keys"; Filename: "{app}\Documents\keys.txt"; WorkingDir: "{app}\Documents"; Components: documents; 
Name: "{group}\Documents\MIDI Help"; Filename: "{app}\Documents\MIDI Input Documents\psyclemidi.html"; WorkingDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Name: "{group}\Documents\Upwego Tutorial"; Filename: "{app}\Documents\Upwego Tutorial\upwego.html"; WorkingDir: "{app}\Documents\MIDI Input Documents"; Components: documents; 
Name: "{group}\Documents\Tweakings And Commands"; Filename: "{app}\Documents\tweakings and commands.txt"; 
Name: "{group}\Uninstall Psycle"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: "application"; MinVersion: 4.01.1998,5.0.2195; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "application"; MinVersion: 4.01.1998,5.0.2195; 
Name: "ClearPsycleSetting"; Description: "Clear Psycle Settings"; GroupDescription: "Miscellaneous:"; Components: "application"; 
Name: "DeleteCacheFile"; Description: "Clear Plugin Names Cache"; GroupDescription: "Miscellaneous:"; Components: "application"; 

[Components]
Name: "application"; Description: "Main Application"; Types: "full"; ExtraDiskSpaceRequired: "1200000"; 
Name: "documents"; Description: "Application Documents"; Types: "full"; ExtraDiskSpaceRequired: "620000"; 
Name: "windows_xp_theme_support"; Description: "Windows XP Theme Support"; ExtraDiskSpaceRequired: "1000"; 
Name: "winamp_plugin"; Description: "Winamp Support Plugin: Play Psycle songs through Winamp 2"; Types: "full"; ExtraDiskSpaceRequired: "92000"; 
Name: "arguru_plug-ins"; Description: "Arguru Plugins: Compressor, Cross Delay, Distortion, Goa Slicer, Reverb, Synth 2"; Types: "full"; ExtraDiskSpaceRequired: "160000"; 
Name: "bohan_plug-ins"; Description: "Bohan Plugins: Delay, Distortion, Flanger, Gainer, Filter 2, Ring_Modulator"; Types: "full"; ExtraDiskSpaceRequired: "160000"; 
Name: "druttis_plug-ins"; Description: "Druttis Plugins: Phantom, FeedMe, Plucked String, Koruz, Sublime EQ3"; Types: "full"; ExtraDiskSpaceRequired: "320000"; 
Name: "miscellaneous_plug-ins"; Description: "Miscellaneous Plugins: Jaz Drum Synth, CyanPhase Vibra Synth, KarLKoX Surround, M3, Zephod SuperFM"; Types: "full"; ExtraDiskSpaceRequired: "530000"; 
Name: "old_plug-ins"; Description: "Old Plugins: Arguru Synth 2"; Types: "full"; ExtraDiskSpaceRequired: "32000"; 
Name: "pooplog_plug-ins"; Description: "Pooplog Plugins:  FM (Laboratory, Light, UltraLight), Autopan, Delay (Light), Filter, Lofi, Scratch Master (2)"; Types: "full"; ExtraDiskSpaceRequired: "936000"; 
Name: "sond_plug-ins"; Description: "Sond Plugins: Filter, Phazer, Vld Effect, Sond Synth"; Types: "full"; ExtraDiskSpaceRequired: "160000"; 

[UninstallDelete]
Type: files; Name: "{app}\Psycle.url"; Components: documents; 
Type: files; Name: "{app}\cache.map"; Components: application; 
Type: files; Name: "{app}\pluginlog.txt"; Components: application; 

[Types]
Name: "full"; Description: "Full Psycle Install"; 
Name: "custom"; Description: "Custom Psycle Install"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "English"; MessagesFile: "embedded\English.isl"; 
Name: "Brazilian"; MessagesFile: "embedded\Brazilian.isl"; 
Name: "Czech"; MessagesFile: "embedded\Czech.isl"; 
Name: "Danish"; MessagesFile: "embedded\Danish.isl"; 
Name: "Dutch"; MessagesFile: "embedded\Dutch.isl"; 
Name: "French"; MessagesFile: "embedded\French.isl"; 
Name: "German"; MessagesFile: "embedded\German.isl"; 
Name: "Hellinic"; MessagesFile: "embedded\Hellinic.isl"; 
Name: "Italian"; MessagesFile: "embedded\Italian.isl"; 
Name: "Polish"; MessagesFile: "embedded\Polish.isl"; 
Name: "Portuguese"; MessagesFile: "embedded\Portuguese.isl"; 
Name: "Russian"; MessagesFile: "embedded\Russian.isl"; 
Name: "Slovenian"; MessagesFile: "embedded\Slovenian.isl"; 
Name: "Spanish"; MessagesFile: "embedded\Spanish.isl"; 
Name: "Swedish"; MessagesFile: "embedded\Swedish.isl"; 
